Redmine - Feature #13767

Export permissions report to CSV
2013-04-15 11:20 - Philippe B.

Status: Closed Start date:

Priority: Normal Due date:

Assignee: Go MAEDA % Done: 0%
Category: Permissions and roles Estimated time: 0.00 hour
Target version: 4.2.0

Resolution: Fixed

Description

Hi,

My department hosts projects for many other departments within my company and we had to duplicate and customize the roles for
each department.

As they aren't "administrator” they can't have access to the permissions report, so they ask use to get a PDF to see how their profiles
are set.

We currently have 15 different roles and if we print the "Permissions report" it doesn't fit in the width.
My idea was to export the table into a CSV and then clean the unwanted columns.

Thanks

Phil

Associated revisions

Revision 20778 - 2021-03-12 06:29 - Go MAEDA
Export permissions report to CSV (#13767).

Patch by David Escala and Yuichi HARADA.

Revision 20779 - 2021-03-12 08:24 - Go MAEDA
Remove unnecessary “include’ added in r20778 (#13767).

Revision 20824 - 2021-03-18 16:58 - Go MAEDA

Allow selecting encoding when exporting permission reports as CSV (#13767).

Patch by Yuichi HARADA.

History

#1 - 2016-10-05 17:29 - Kirpal Sukumar
+1 on this - but I'd also like to be able to export to PDF

#2 - 2016-12-14 13:21 - David Escala
- File issue_13767.patch added

Attached patch adds an "Also available in: CSV" link to "Permissions report". It applies to version 3.3

#3 - 2017-03-01 16:10 - Pavel Kestefran
Great patch David, thank you.

Also is there any chance to have such functionality in form of macro?
Maybe it would be easier to share the report with users on wiki.

#4 - 2017-06-09 13:02 - Shreyas Moolya

David Escala wrote:
Attached patch adds an "Also available in: CSV" link to "Permissions report". It applies to version 3.3

i am unable to apply this patch through gitbash..is there any other method by which it could be done?
#5 - 2017-06-11 14:22 - Toshi MARUYAMA
Shreyas Moolya wrote:

is there any other method by which it could be done?

On your Redmine root:
$ patch -pl < issue_13767.patch
patching file app/controllers/roles_controller.rb

patching file app/helpers/roles_helper.rb
patching file app/views/roles/permissions.html.erb

#6 - 2019-09-19 13:05 - Martina A.

+1 on this feature request

#7 - 2021-02-10 17:55 - Benjamin GUILLAUME

Hello,
This patch does not seem to work on Redmine 4.1.1 ? Is there a way to adapt it ?

Thanks !

#8 - 2021-03-03 09:14 - Yuichi HARADA
- File 13767 .patch added

| fixed issue_13767.patch to work on Redmine-trunk( r20759 ). | created a functional test and include it in a patch.

#9 - 2021-03-06 08:14 - Go MAEDA

- Target version set to Candidate for next major release

#10 - 2021-03-09 14:38 - Go MAEDA
- File 13767-v2.patch added

#11 - 2021-03-09 14:42 - Go MAEDA
- Subject changed from Export to CSV the permissions report to Export permissions report to CSV

- Target version changed from Candidate for next major release to 4.2.0

Setting the target version to 4.2.0.

#12 - 2021-03-12 06:30 - Go MAEDA
- Status changed from New to Closed
- Assignee set to Go MAEDA

- Resolution set to Fixed

Committed the patch. Thank you for your contribution.

#13 - 2021-03-16 05:50 - Yuichi HARADA

- File 0001-Added-an-option-form-so-that-you-can-select-the-enco.patch added

Added an option form so that you can select the encoding when exporting CSV.

#14 - 2021-03-16 06:27 - Go MAEDA

- Status changed from Closed to Reopened

#15 - 2021-03-18 16:58 - Go MAEDA
https://www.redmine.org/attachments/17271
https://www.redmine.org/projects/redmine/repository/svn/revisions/20759

- Status changed from Reopened to Closed

Yuichi HARADA wrote:

Added an option form so that you can select the encoding when exporting CSV.

Committed the change in r20824.

#16 - 2023-03-21 17:26 - Matias Buonavolonta

Hi, | am new to this network.

| tried the different patches and none of them enabled me the option to manage which role can export to CSV.

My redmine version is redmine 4.1.1.stable.

Files

issue_13767.patch 2.25 KB 2016-12-14 David Escala
13767.patch 4.68 KB 2021-03-03 Yuichi HARADA
13767-v2.patch 4.58 KB 2021-03-09 Go MAEDA
0001-Added-an-option-form-so-that-you-can-select-the-enco.patch 2.8 KB 2021-03-16 Yuichi HARADA
http://www.tcpdf.org

